//
// Copyright (C) 2020 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// clang-format off
#include "native_bridge_support/vdso/interceptable_functions.h"

DEFINE_INTERCEPTABLE_STUB_FUNCTION(glActiveShaderProgram);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glActiveShaderProgramEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glActiveTexture);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glAlphaFuncQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glApplyFramebufferAttachmentCMAAINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glAttachShader);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBeginConditionalRenderNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBeginPerfMonitorAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBeginPerfQueryINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBeginQuery);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBeginQueryEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBeginTransformFeedback);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindAttribLocation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindBufferBase);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindBufferRange);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindFragDataLocationEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindFragDataLocationIndexedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindFramebuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindImageTexture);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindProgramPipeline);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindProgramPipelineEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindRenderbuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindSampler);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindTexture);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindTransformFeedback);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindVertexArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindVertexArrayOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBindVertexBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendBarrier);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendBarrierKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendBarrierNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendColor);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendEquation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendEquationSeparate);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendEquationSeparatei);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendEquationSeparateiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendEquationSeparateiOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendEquationi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendEquationiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendEquationiOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendFunc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendFuncSeparate);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendFuncSeparatei);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendFuncSeparateiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendFuncSeparateiOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendFunci);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendFunciEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendFunciOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlendParameteriNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlitFramebuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlitFramebufferANGLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBlitFramebufferNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBufferData);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBufferStorageEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBufferStorageExternalEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBufferStorageMemEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glBufferSubData);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCheckFramebufferStatus);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClear);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearBufferfi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearBufferfv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearBufferiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearBufferuiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearColor);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearDepthf);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearPixelLocalStorageuiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearStencil);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearTexImageEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClearTexSubImageEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClientWaitSync);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClientWaitSyncAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glClipControlEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glColorMask);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glColorMaski);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glColorMaskiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glColorMaskiOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCompileShader);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCompressedTexImage2D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCompressedTexImage3D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCompressedTexImage3DOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCompressedTexSubImage2D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCompressedTexSubImage3D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCompressedTexSubImage3DOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glConservativeRasterParameteriNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyBufferSubData);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyBufferSubDataNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyImageSubData);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyImageSubDataEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyImageSubDataOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyPathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyTexImage2D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyTexSubImage2D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyTexSubImage3D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyTexSubImage3DOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCopyTextureLevelsAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCoverFillPathInstancedNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCoverFillPathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCoverStrokePathInstancedNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCoverStrokePathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCoverageMaskNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCoverageModulationNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCoverageModulationTableNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCoverageOperationNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCreateMemoryObjectsEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCreatePerfQueryINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCreateProgram);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCreateShader);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCreateShaderProgramv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCreateShaderProgramvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glCullFace);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDebugMessageCallback);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDebugMessageCallbackKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDebugMessageControl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDebugMessageControlKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDebugMessageInsert);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDebugMessageInsertKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteBuffers);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteFencesNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteFramebuffers);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteMemoryObjectsEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeletePathsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeletePerfMonitorsAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeletePerfQueryINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteProgram);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteProgramPipelines);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteProgramPipelinesEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteQueries);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteQueriesEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteRenderbuffers);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteSamplers);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteSemaphoresEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteShader);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteSync);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteSyncAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteTextures);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteTransformFeedbacks);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteVertexArrays);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDeleteVertexArraysOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDepthFunc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDepthMask);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDepthRangeArrayfvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDepthRangeArrayfvOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDepthRangeIndexedfNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDepthRangeIndexedfOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDepthRangef);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDetachShader);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDisable);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDisableDriverControlQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDisableVertexAttribArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDisablei);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDisableiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDisableiNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDisableiOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDiscardFramebufferEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDispatchCompute);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDispatchComputeIndirect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawArrays);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawArraysIndirect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawArraysInstanced);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawArraysInstancedANGLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawArraysInstancedBaseInstanceEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawArraysInstancedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawArraysInstancedNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawBuffers);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawBuffersEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawBuffersIndexedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawBuffersNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElements);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsBaseVertex);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsBaseVertexEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsBaseVertexOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsIndirect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsInstanced);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsInstancedANGLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsInstancedBaseInstanceEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsInstancedBaseVertex);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsInstancedBaseVertexBaseInstanceEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsInstancedBaseVertexEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsInstancedBaseVertexOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsInstancedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawElementsInstancedNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawRangeElements);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawRangeElementsBaseVertex);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawRangeElementsBaseVertexEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawRangeElementsBaseVertexOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawTransformFeedbackEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawTransformFeedbackInstancedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glDrawVkImageNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEGLImageTargetRenderbufferStorageOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEGLImageTargetTexStorageEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEGLImageTargetTexture2DOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEGLImageTargetTextureStorageEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEnable);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEnableDriverControlQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEnableVertexAttribArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEnablei);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEnableiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEnableiNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEnableiOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEndConditionalRenderNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEndPerfMonitorAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEndPerfQueryINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEndQuery);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEndQueryEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEndTilingQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glEndTransformFeedback);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetBufferPointervQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetBuffersQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetFramebuffersQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetProgramBinarySourceQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetProgramsQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetRenderbuffersQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetShadersQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetTexLevelParameterivQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetTexSubImageQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtGetTexturesQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtIsProgramBinaryQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glExtTexObjectStateOverrideiQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFenceSync);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFenceSyncAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFinish);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFinishFenceNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFlush);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFlushMappedBufferRange);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFlushMappedBufferRangeEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFragmentCoverageColorNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferFetchBarrierEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferFetchBarrierQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferFoveationConfigQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferFoveationParametersQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferParameteri);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferPixelLocalStorageSizeEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferRenderbuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferSampleLocationsfvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTexture);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTexture2D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTexture2DDownsampleIMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTexture2DMultisampleEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTexture2DMultisampleIMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTexture3DOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTextureEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTextureLayer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTextureLayerDownsampleIMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTextureMultisampleMultiviewOVR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTextureMultiviewOVR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFramebufferTextureOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glFrontFace);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenBuffers);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenFencesNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenFramebuffers);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenPathsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenPerfMonitorsAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenProgramPipelines);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenProgramPipelinesEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenQueries);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenQueriesEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenRenderbuffers);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenSamplers);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenSemaphoresEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenTextures);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenTransformFeedbacks);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenVertexArrays);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenVertexArraysOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGenerateMipmap);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetActiveAttrib);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetActiveUniform);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetActiveUniformBlockName);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetActiveUniformBlockiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetActiveUniformsiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetAttachedShaders);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetAttribLocation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetBooleani_v);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetBooleanv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetBufferParameteri64v);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetBufferParameteriv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetBufferPointerv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetBufferPointervOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetCoverageModulationTableNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetDebugMessageLog);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetDebugMessageLogKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetDriverControlStringQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetDriverControlsQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetError);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFenceivNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFirstPerfQueryIdINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFloati_vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFloati_vOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFloatv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFragDataIndexEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFragDataLocation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFramebufferAttachmentParameteriv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFramebufferParameteriv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetFramebufferPixelLocalStorageSizeEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetGraphicsResetStatus);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetGraphicsResetStatusEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetGraphicsResetStatusKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetImageHandleNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetInteger64i_v);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetInteger64v);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetInteger64vAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetIntegeri_v);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetIntegeri_vEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetIntegerv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetInternalformatSampleivNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetInternalformativ);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetMemoryObjectParameterivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetMultisamplefv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetNextPerfQueryIdINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetObjectLabel);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetObjectLabelEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetObjectLabelKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetObjectPtrLabel);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetObjectPtrLabelKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPathCommandsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPathCoordsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPathDashArrayNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPathLengthNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPathMetricRangeNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPathMetricsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPathParameterfvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPathParameterivNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPathSpacingNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfCounterInfoINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfMonitorCounterDataAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfMonitorCounterInfoAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfMonitorCounterStringAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfMonitorCountersAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfMonitorGroupStringAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfMonitorGroupsAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfQueryDataINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfQueryIdByNameINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPerfQueryInfoINTEL);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPointerv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetPointervKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramBinary);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramBinaryOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramInfoLog);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramInterfaceiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramPipelineInfoLog);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramPipelineInfoLogEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramPipelineiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramPipelineivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramResourceIndex);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramResourceLocation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramResourceLocationIndexEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramResourceName);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramResourcefvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramResourceiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetProgramiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetQueryObjecti64vEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetQueryObjectivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetQueryObjectui64vEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetQueryObjectuiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetQueryObjectuivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetQueryiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetQueryivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetRenderbufferParameteriv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSamplerParameterIiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSamplerParameterIivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSamplerParameterIivOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSamplerParameterIuiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSamplerParameterIuivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSamplerParameterIuivOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSamplerParameterfv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSamplerParameteriv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSemaphoreParameterui64vEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetShaderInfoLog);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetShaderPrecisionFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetShaderSource);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetShaderiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetString);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetStringi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSynciv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetSyncivAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexLevelParameterfv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexLevelParameteriv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexParameterIiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexParameterIivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexParameterIivOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexParameterIuiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexParameterIuivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexParameterIuivOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexParameterfv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTexParameteriv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTextureHandleIMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTextureHandleNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTextureSamplerHandleIMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTextureSamplerHandleNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTransformFeedbackVarying);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetTranslatedShaderSourceANGLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetUniformBlockIndex);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetUniformIndices);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetUniformLocation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetUniformfv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetUniformi64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetUniformiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetUniformuiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetUnsignedBytei_vEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetUnsignedBytevEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetVertexAttribIiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetVertexAttribIuiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetVertexAttribPointerv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetVertexAttribfv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetVertexAttribiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetVkProcAddrNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetnUniformfv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetnUniformfvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetnUniformfvKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetnUniformiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetnUniformivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetnUniformivKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetnUniformuiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glGetnUniformuivKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glHint);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glImportMemoryFdEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glImportSemaphoreFdEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glInsertEventMarkerEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glInterpolatePathsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glInvalidateFramebuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glInvalidateSubFramebuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsEnabled);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsEnabledi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsEnablediEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsEnablediNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsEnablediOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsFenceNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsFramebuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsImageHandleResidentNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsMemoryObjectEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsPathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsPointInFillPathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsPointInStrokePathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsProgram);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsProgramPipeline);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsProgramPipelineEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsQuery);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsQueryEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsRenderbuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsSampler);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsSemaphoreEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsShader);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsSync);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsSyncAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsTexture);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsTextureHandleResidentNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsTransformFeedback);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsVertexArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glIsVertexArrayOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glLabelObjectEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glLineWidth);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glLinkProgram);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMakeImageHandleNonResidentNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMakeImageHandleResidentNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMakeTextureHandleNonResidentNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMakeTextureHandleResidentNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMapBufferOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMapBufferRange);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMapBufferRangeEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixFrustumEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixLoad3x2fNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixLoad3x3fNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixLoadIdentityEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixLoadTranspose3x3fNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixLoadTransposedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixLoadTransposefEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixLoaddEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixLoadfEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixMult3x2fNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixMult3x3fNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixMultTranspose3x3fNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixMultTransposedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixMultTransposefEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixMultdEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixMultfEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixOrthoEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixPopEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixPushEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixRotatedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixRotatefEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixScaledEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixScalefEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixTranslatedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMatrixTranslatefEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMaxShaderCompilerThreadsKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMemoryBarrier);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMemoryBarrierByRegion);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMemoryObjectParameterivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMinSampleShading);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMinSampleShadingOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMultiDrawArraysEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMultiDrawArraysIndirectEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMultiDrawElementsBaseVertexEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMultiDrawElementsEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glMultiDrawElementsIndirectEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glNamedBufferStorageExternalEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glNamedBufferStorageMemEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glNamedFramebufferSampleLocationsfvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glObjectLabel);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glObjectLabelKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glObjectPtrLabel);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glObjectPtrLabelKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPatchParameteri);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPatchParameteriEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPatchParameteriOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathCommandsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathCoordsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathCoverDepthFuncNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathDashArrayNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathGlyphIndexArrayNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathGlyphIndexRangeNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathGlyphRangeNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathGlyphsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathMemoryGlyphIndexArrayNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathParameterfNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathParameterfvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathParameteriNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathParameterivNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathStencilDepthOffsetNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathStencilFuncNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathStringNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathSubCommandsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPathSubCoordsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPauseTransformFeedback);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPixelStorei);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPointAlongPathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPolygonModeNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPolygonOffset);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPolygonOffsetClampEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPopDebugGroup);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPopDebugGroupKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPopGroupMarkerEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPrimitiveBoundingBox);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPrimitiveBoundingBoxEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPrimitiveBoundingBoxOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramBinary);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramBinaryOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramParameteri);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramParameteriEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramPathFragmentInputGenNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1fEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1i64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1i64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1iEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1iv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1ivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1ui);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1ui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1ui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1uiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1uiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform1uivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2fEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2i64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2i64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2iEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2iv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2ivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2ui);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2ui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2ui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2uiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2uiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform2uivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3fEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3i64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3i64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3iEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3iv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3ivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3ui);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3ui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3ui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3uiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3uiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform3uivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4fEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4i64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4i64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4iEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4iv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4ivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4ui);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4ui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4ui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4uiEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4uiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniform4uivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformHandleui64IMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformHandleui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformHandleui64vIMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformHandleui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix2fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix2fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix2x3fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix2x3fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix2x4fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix2x4fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix3fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix3fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix3x2fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix3x2fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix3x4fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix3x4fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix4fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix4fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix4x2fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix4x2fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix4x3fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glProgramUniformMatrix4x3fvEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPushDebugGroup);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPushDebugGroupKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glPushGroupMarkerEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glQueryCounterEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glRasterSamplesEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glReadBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glReadBufferIndexedEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glReadBufferNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glReadPixels);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glReadnPixels);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glReadnPixelsEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glReadnPixelsKHR);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glReleaseShaderCompiler);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glRenderbufferStorage);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glRenderbufferStorageMultisample);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glRenderbufferStorageMultisampleANGLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glRenderbufferStorageMultisampleAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glRenderbufferStorageMultisampleEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glRenderbufferStorageMultisampleIMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glRenderbufferStorageMultisampleNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glResolveDepthValuesNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glResolveMultisampleFramebufferAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glResumeTransformFeedback);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSampleCoverage);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSampleMaski);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameterIiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameterIivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameterIivOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameterIuiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameterIuivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameterIuivOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameterf);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameterfv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameteri);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSamplerParameteriv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glScissor);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glScissorArrayvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glScissorArrayvOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glScissorIndexedNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glScissorIndexedOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glScissorIndexedvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glScissorIndexedvOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSelectPerfMonitorCountersAMD);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSemaphoreParameterui64vEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSetFenceNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glShaderBinary);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glShaderSource);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSignalSemaphoreEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSignalVkFenceNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSignalVkSemaphoreNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStartTilingQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilFillPathInstancedNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilFillPathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilFunc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilFuncSeparate);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilMask);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilMaskSeparate);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilOp);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilOpSeparate);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilStrokePathInstancedNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilStrokePathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilThenCoverFillPathInstancedNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilThenCoverFillPathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilThenCoverStrokePathInstancedNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glStencilThenCoverStrokePathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glSubpixelPrecisionBiasNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTestFenceNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexBufferEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexBufferOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexBufferRange);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexBufferRangeEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexBufferRangeOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexImage2D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexImage3D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexImage3DOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexPageCommitmentEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameterIiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameterIivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameterIivOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameterIuiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameterIuivEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameterIuivOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameterf);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameterfv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameteri);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexParameteriv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorage1DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorage2D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorage2DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorage2DMultisample);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorage3D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorage3DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorage3DMultisample);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorage3DMultisampleOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorageMem2DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorageMem2DMultisampleEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorageMem3DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexStorageMem3DMultisampleEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexSubImage2D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexSubImage3D);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTexSubImage3DOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureFoveationParametersQCOM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureStorage1DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureStorage2DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureStorage3DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureStorageMem2DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureStorageMem2DMultisampleEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureStorageMem3DEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureStorageMem3DMultisampleEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureViewEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTextureViewOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTransformFeedbackVaryings);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glTransformPathNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1i64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1i64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1iv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1ui);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1ui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1ui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform1uiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2i64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2i64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2iv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2ui);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2ui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2ui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform2uiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3i64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3i64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3iv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3ui);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3ui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3ui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform3uiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4i64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4i64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4iv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4ui);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4ui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4ui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniform4uiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformBlockBinding);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformHandleui64IMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformHandleui64NV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformHandleui64vIMG);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformHandleui64vNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix2fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix2x3fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix2x3fvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix2x4fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix2x4fvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix3fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix3x2fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix3x2fvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix3x4fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix3x4fvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix4fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix4x2fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix4x2fvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix4x3fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUniformMatrix4x3fvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUnmapBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUnmapBufferOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUseProgram);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUseProgramStages);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glUseProgramStagesEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glValidateProgram);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glValidateProgramPipeline);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glValidateProgramPipelineEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttrib1f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttrib1fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttrib2f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttrib2fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttrib3f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttrib3fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttrib4f);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttrib4fv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribBinding);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribDivisor);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribDivisorANGLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribDivisorEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribDivisorNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribI4i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribI4iv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribI4ui);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribI4uiv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribIFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribIPointer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexAttribPointer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glVertexBindingDivisor);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glViewport);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glViewportArrayvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glViewportArrayvOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glViewportIndexedfNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glViewportIndexedfOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glViewportIndexedfvNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glViewportIndexedfvOES);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glViewportPositionWScaleNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glViewportSwizzleNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glWaitSemaphoreEXT);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glWaitSync);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glWaitSyncAPPLE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glWaitVkSemaphoreNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glWeightPathsNV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(glWindowRectanglesEXT);

static void __attribute__((constructor(0))) init_stub_library() {
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glActiveShaderProgram);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glActiveShaderProgramEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glActiveTexture);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glAlphaFuncQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glApplyFramebufferAttachmentCMAAINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glAttachShader);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBeginConditionalRenderNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBeginPerfMonitorAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBeginPerfQueryINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBeginQuery);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBeginQueryEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBeginTransformFeedback);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindAttribLocation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindBufferBase);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindBufferRange);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindFragDataLocationEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindFragDataLocationIndexedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindFramebuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindImageTexture);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindProgramPipeline);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindProgramPipelineEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindRenderbuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindSampler);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindTexture);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindTransformFeedback);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindVertexArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindVertexArrayOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBindVertexBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendBarrier);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendBarrierKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendBarrierNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendColor);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendEquation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendEquationSeparate);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendEquationSeparatei);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendEquationSeparateiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendEquationSeparateiOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendEquationi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendEquationiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendEquationiOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendFunc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendFuncSeparate);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendFuncSeparatei);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendFuncSeparateiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendFuncSeparateiOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendFunci);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendFunciEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendFunciOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlendParameteriNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlitFramebuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlitFramebufferANGLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBlitFramebufferNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBufferData);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBufferStorageEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBufferStorageExternalEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBufferStorageMemEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glBufferSubData);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCheckFramebufferStatus);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClear);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearBufferfi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearBufferfv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearBufferiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearBufferuiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearColor);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearDepthf);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearPixelLocalStorageuiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearStencil);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearTexImageEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClearTexSubImageEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClientWaitSync);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClientWaitSyncAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glClipControlEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glColorMask);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glColorMaski);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glColorMaskiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glColorMaskiOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCompileShader);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCompressedTexImage2D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCompressedTexImage3D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCompressedTexImage3DOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCompressedTexSubImage2D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCompressedTexSubImage3D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCompressedTexSubImage3DOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glConservativeRasterParameteriNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyBufferSubData);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyBufferSubDataNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyImageSubData);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyImageSubDataEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyImageSubDataOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyPathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyTexImage2D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyTexSubImage2D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyTexSubImage3D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyTexSubImage3DOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCopyTextureLevelsAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCoverFillPathInstancedNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCoverFillPathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCoverStrokePathInstancedNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCoverStrokePathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCoverageMaskNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCoverageModulationNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCoverageModulationTableNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCoverageOperationNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCreateMemoryObjectsEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCreatePerfQueryINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCreateProgram);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCreateShader);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCreateShaderProgramv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCreateShaderProgramvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glCullFace);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDebugMessageCallback);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDebugMessageCallbackKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDebugMessageControl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDebugMessageControlKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDebugMessageInsert);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDebugMessageInsertKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteBuffers);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteFencesNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteFramebuffers);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteMemoryObjectsEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeletePathsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeletePerfMonitorsAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeletePerfQueryINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteProgram);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteProgramPipelines);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteProgramPipelinesEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteQueries);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteQueriesEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteRenderbuffers);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteSamplers);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteSemaphoresEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteShader);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteSync);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteSyncAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteTextures);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteTransformFeedbacks);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteVertexArrays);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDeleteVertexArraysOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDepthFunc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDepthMask);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDepthRangeArrayfvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDepthRangeArrayfvOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDepthRangeIndexedfNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDepthRangeIndexedfOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDepthRangef);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDetachShader);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDisable);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDisableDriverControlQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDisableVertexAttribArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDisablei);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDisableiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDisableiNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDisableiOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDiscardFramebufferEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDispatchCompute);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDispatchComputeIndirect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawArrays);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawArraysIndirect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawArraysInstanced);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawArraysInstancedANGLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawArraysInstancedBaseInstanceEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawArraysInstancedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawArraysInstancedNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawBuffers);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawBuffersEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawBuffersIndexedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawBuffersNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElements);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsBaseVertex);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsBaseVertexEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsBaseVertexOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsIndirect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsInstanced);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsInstancedANGLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsInstancedBaseInstanceEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsInstancedBaseVertex);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsInstancedBaseVertexBaseInstanceEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsInstancedBaseVertexEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsInstancedBaseVertexOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsInstancedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawElementsInstancedNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawRangeElements);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawRangeElementsBaseVertex);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawRangeElementsBaseVertexEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawRangeElementsBaseVertexOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawTransformFeedbackEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawTransformFeedbackInstancedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glDrawVkImageNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEGLImageTargetRenderbufferStorageOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEGLImageTargetTexStorageEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEGLImageTargetTexture2DOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEGLImageTargetTextureStorageEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEnable);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEnableDriverControlQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEnableVertexAttribArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEnablei);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEnableiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEnableiNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEnableiOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEndConditionalRenderNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEndPerfMonitorAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEndPerfQueryINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEndQuery);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEndQueryEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEndTilingQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glEndTransformFeedback);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetBufferPointervQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetBuffersQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetFramebuffersQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetProgramBinarySourceQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetProgramsQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetRenderbuffersQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetShadersQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetTexLevelParameterivQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetTexSubImageQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtGetTexturesQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtIsProgramBinaryQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glExtTexObjectStateOverrideiQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFenceSync);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFenceSyncAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFinish);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFinishFenceNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFlush);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFlushMappedBufferRange);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFlushMappedBufferRangeEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFragmentCoverageColorNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferFetchBarrierEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferFetchBarrierQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferFoveationConfigQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferFoveationParametersQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferParameteri);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferPixelLocalStorageSizeEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferRenderbuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferSampleLocationsfvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTexture);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTexture2D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTexture2DDownsampleIMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTexture2DMultisampleEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTexture2DMultisampleIMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTexture3DOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTextureEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTextureLayer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTextureLayerDownsampleIMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTextureMultisampleMultiviewOVR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTextureMultiviewOVR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFramebufferTextureOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glFrontFace);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenBuffers);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenFencesNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenFramebuffers);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenPathsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenPerfMonitorsAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenProgramPipelines);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenProgramPipelinesEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenQueries);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenQueriesEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenRenderbuffers);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenSamplers);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenSemaphoresEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenTextures);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenTransformFeedbacks);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenVertexArrays);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenVertexArraysOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGenerateMipmap);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetActiveAttrib);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetActiveUniform);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetActiveUniformBlockName);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetActiveUniformBlockiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetActiveUniformsiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetAttachedShaders);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetAttribLocation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetBooleani_v);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetBooleanv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetBufferParameteri64v);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetBufferParameteriv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetBufferPointerv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetBufferPointervOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetCoverageModulationTableNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetDebugMessageLog);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetDebugMessageLogKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetDriverControlStringQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetDriverControlsQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetError);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFenceivNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFirstPerfQueryIdINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFloati_vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFloati_vOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFloatv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFragDataIndexEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFragDataLocation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFramebufferAttachmentParameteriv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFramebufferParameteriv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetFramebufferPixelLocalStorageSizeEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetGraphicsResetStatus);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetGraphicsResetStatusEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetGraphicsResetStatusKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetImageHandleNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetInteger64i_v);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetInteger64v);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetInteger64vAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetIntegeri_v);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetIntegeri_vEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetIntegerv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetInternalformatSampleivNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetInternalformativ);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetMemoryObjectParameterivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetMultisamplefv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetNextPerfQueryIdINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetObjectLabel);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetObjectLabelEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetObjectLabelKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetObjectPtrLabel);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetObjectPtrLabelKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPathCommandsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPathCoordsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPathDashArrayNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPathLengthNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPathMetricRangeNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPathMetricsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPathParameterfvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPathParameterivNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPathSpacingNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfCounterInfoINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfMonitorCounterDataAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfMonitorCounterInfoAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfMonitorCounterStringAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfMonitorCountersAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfMonitorGroupStringAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfMonitorGroupsAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfQueryDataINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfQueryIdByNameINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPerfQueryInfoINTEL);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPointerv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetPointervKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramBinary);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramBinaryOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramInfoLog);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramInterfaceiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramPipelineInfoLog);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramPipelineInfoLogEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramPipelineiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramPipelineivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramResourceIndex);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramResourceLocation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramResourceLocationIndexEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramResourceName);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramResourcefvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramResourceiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetProgramiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetQueryObjecti64vEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetQueryObjectivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetQueryObjectui64vEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetQueryObjectuiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetQueryObjectuivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetQueryiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetQueryivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetRenderbufferParameteriv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSamplerParameterIiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSamplerParameterIivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSamplerParameterIivOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSamplerParameterIuiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSamplerParameterIuivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSamplerParameterIuivOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSamplerParameterfv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSamplerParameteriv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSemaphoreParameterui64vEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetShaderInfoLog);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetShaderPrecisionFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetShaderSource);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetShaderiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetString);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetStringi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSynciv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetSyncivAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexLevelParameterfv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexLevelParameteriv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexParameterIiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexParameterIivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexParameterIivOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexParameterIuiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexParameterIuivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexParameterIuivOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexParameterfv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTexParameteriv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTextureHandleIMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTextureHandleNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTextureSamplerHandleIMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTextureSamplerHandleNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTransformFeedbackVarying);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetTranslatedShaderSourceANGLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetUniformBlockIndex);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetUniformIndices);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetUniformLocation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetUniformfv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetUniformi64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetUniformiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetUniformuiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetUnsignedBytei_vEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetUnsignedBytevEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetVertexAttribIiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetVertexAttribIuiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetVertexAttribPointerv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetVertexAttribfv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetVertexAttribiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetVkProcAddrNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetnUniformfv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetnUniformfvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetnUniformfvKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetnUniformiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetnUniformivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetnUniformivKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetnUniformuiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glGetnUniformuivKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glHint);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glImportMemoryFdEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glImportSemaphoreFdEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glInsertEventMarkerEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glInterpolatePathsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glInvalidateFramebuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glInvalidateSubFramebuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsEnabled);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsEnabledi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsEnablediEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsEnablediNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsEnablediOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsFenceNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsFramebuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsImageHandleResidentNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsMemoryObjectEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsPathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsPointInFillPathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsPointInStrokePathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsProgram);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsProgramPipeline);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsProgramPipelineEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsQuery);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsQueryEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsRenderbuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsSampler);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsSemaphoreEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsShader);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsSync);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsSyncAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsTexture);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsTextureHandleResidentNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsTransformFeedback);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsVertexArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glIsVertexArrayOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glLabelObjectEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glLineWidth);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glLinkProgram);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMakeImageHandleNonResidentNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMakeImageHandleResidentNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMakeTextureHandleNonResidentNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMakeTextureHandleResidentNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMapBufferOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMapBufferRange);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMapBufferRangeEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixFrustumEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixLoad3x2fNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixLoad3x3fNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixLoadIdentityEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixLoadTranspose3x3fNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixLoadTransposedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixLoadTransposefEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixLoaddEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixLoadfEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixMult3x2fNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixMult3x3fNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixMultTranspose3x3fNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixMultTransposedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixMultTransposefEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixMultdEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixMultfEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixOrthoEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixPopEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixPushEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixRotatedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixRotatefEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixScaledEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixScalefEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixTranslatedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMatrixTranslatefEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMaxShaderCompilerThreadsKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMemoryBarrier);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMemoryBarrierByRegion);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMemoryObjectParameterivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMinSampleShading);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMinSampleShadingOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMultiDrawArraysEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMultiDrawArraysIndirectEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMultiDrawElementsBaseVertexEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMultiDrawElementsEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glMultiDrawElementsIndirectEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glNamedBufferStorageExternalEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glNamedBufferStorageMemEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glNamedFramebufferSampleLocationsfvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glObjectLabel);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glObjectLabelKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glObjectPtrLabel);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glObjectPtrLabelKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPatchParameteri);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPatchParameteriEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPatchParameteriOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathCommandsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathCoordsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathCoverDepthFuncNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathDashArrayNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathGlyphIndexArrayNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathGlyphIndexRangeNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathGlyphRangeNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathGlyphsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathMemoryGlyphIndexArrayNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathParameterfNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathParameterfvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathParameteriNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathParameterivNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathStencilDepthOffsetNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathStencilFuncNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathStringNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathSubCommandsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPathSubCoordsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPauseTransformFeedback);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPixelStorei);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPointAlongPathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPolygonModeNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPolygonOffset);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPolygonOffsetClampEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPopDebugGroup);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPopDebugGroupKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPopGroupMarkerEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPrimitiveBoundingBox);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPrimitiveBoundingBoxEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPrimitiveBoundingBoxOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramBinary);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramBinaryOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramParameteri);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramParameteriEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramPathFragmentInputGenNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1fEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1i64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1i64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1iEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1iv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1ivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1ui);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1ui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1ui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1uiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1uiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform1uivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2fEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2i64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2i64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2iEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2iv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2ivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2ui);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2ui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2ui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2uiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2uiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform2uivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3fEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3i64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3i64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3iEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3iv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3ivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3ui);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3ui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3ui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3uiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3uiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform3uivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4fEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4i64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4i64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4iEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4iv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4ivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4ui);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4ui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4ui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4uiEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4uiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniform4uivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformHandleui64IMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformHandleui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformHandleui64vIMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformHandleui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix2fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix2fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix2x3fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix2x3fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix2x4fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix2x4fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix3fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix3fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix3x2fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix3x2fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix3x4fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix3x4fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix4fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix4fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix4x2fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix4x2fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix4x3fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glProgramUniformMatrix4x3fvEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPushDebugGroup);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPushDebugGroupKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glPushGroupMarkerEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glQueryCounterEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glRasterSamplesEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glReadBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glReadBufferIndexedEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glReadBufferNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glReadPixels);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glReadnPixels);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glReadnPixelsEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glReadnPixelsKHR);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glReleaseShaderCompiler);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glRenderbufferStorage);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glRenderbufferStorageMultisample);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glRenderbufferStorageMultisampleANGLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glRenderbufferStorageMultisampleAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glRenderbufferStorageMultisampleEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glRenderbufferStorageMultisampleIMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glRenderbufferStorageMultisampleNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glResolveDepthValuesNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glResolveMultisampleFramebufferAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glResumeTransformFeedback);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSampleCoverage);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSampleMaski);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameterIiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameterIivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameterIivOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameterIuiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameterIuivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameterIuivOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameterf);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameterfv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameteri);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSamplerParameteriv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glScissor);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glScissorArrayvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glScissorArrayvOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glScissorIndexedNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glScissorIndexedOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glScissorIndexedvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glScissorIndexedvOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSelectPerfMonitorCountersAMD);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSemaphoreParameterui64vEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSetFenceNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glShaderBinary);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glShaderSource);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSignalSemaphoreEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSignalVkFenceNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSignalVkSemaphoreNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStartTilingQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilFillPathInstancedNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilFillPathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilFunc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilFuncSeparate);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilMask);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilMaskSeparate);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilOp);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilOpSeparate);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilStrokePathInstancedNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilStrokePathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilThenCoverFillPathInstancedNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilThenCoverFillPathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilThenCoverStrokePathInstancedNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glStencilThenCoverStrokePathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glSubpixelPrecisionBiasNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTestFenceNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexBufferEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexBufferOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexBufferRange);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexBufferRangeEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexBufferRangeOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexImage2D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexImage3D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexImage3DOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexPageCommitmentEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameterIiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameterIivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameterIivOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameterIuiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameterIuivEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameterIuivOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameterf);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameterfv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameteri);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexParameteriv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorage1DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorage2D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorage2DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorage2DMultisample);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorage3D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorage3DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorage3DMultisample);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorage3DMultisampleOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorageMem2DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorageMem2DMultisampleEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorageMem3DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexStorageMem3DMultisampleEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexSubImage2D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexSubImage3D);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTexSubImage3DOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureFoveationParametersQCOM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureStorage1DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureStorage2DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureStorage3DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureStorageMem2DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureStorageMem2DMultisampleEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureStorageMem3DEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureStorageMem3DMultisampleEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureViewEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTextureViewOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTransformFeedbackVaryings);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glTransformPathNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1i64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1i64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1iv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1ui);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1ui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1ui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform1uiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2i64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2i64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2iv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2ui);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2ui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2ui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform2uiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3i64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3i64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3iv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3ui);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3ui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3ui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform3uiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4i64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4i64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4iv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4ui);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4ui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4ui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniform4uiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformBlockBinding);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformHandleui64IMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformHandleui64NV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformHandleui64vIMG);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformHandleui64vNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix2fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix2x3fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix2x3fvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix2x4fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix2x4fvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix3fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix3x2fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix3x2fvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix3x4fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix3x4fvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix4fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix4x2fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix4x2fvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix4x3fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUniformMatrix4x3fvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUnmapBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUnmapBufferOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUseProgram);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUseProgramStages);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glUseProgramStagesEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glValidateProgram);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glValidateProgramPipeline);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glValidateProgramPipelineEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttrib1f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttrib1fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttrib2f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttrib2fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttrib3f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttrib3fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttrib4f);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttrib4fv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribBinding);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribDivisor);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribDivisorANGLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribDivisorEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribDivisorNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribI4i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribI4iv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribI4ui);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribI4uiv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribIFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribIPointer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexAttribPointer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glVertexBindingDivisor);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glViewport);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glViewportArrayvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glViewportArrayvOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glViewportIndexedfNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glViewportIndexedfOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glViewportIndexedfvNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glViewportIndexedfvOES);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glViewportPositionWScaleNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glViewportSwizzleNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glWaitSemaphoreEXT);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glWaitSync);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glWaitSyncAPPLE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glWaitVkSemaphoreNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glWeightPathsNV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libGLESv3.so", glWindowRectanglesEXT);
}
// clang-format on
